<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:25 PST 2005 -->
<TITLE>
: Class  SQLSchemaSwitch
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SQLSchemaSwitch.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaAdapterFactory.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SQLSchemaSwitch.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.sql.schema.util</FONT>
<BR>
Class  SQLSchemaSwitch</H2>
<PRE>
java.lang.Object
  |
  +--<B>org.eclipse.wst.rdb.internal.models.sql.schema.util.SQLSchemaSwitch</B>
</PRE>
<HR>
<DL>
<DT>public class <B>SQLSchemaSwitch</B><DT>extends java.lang.Object</DL>

<P>
<!-- begin-user-doc -->
 The <b>Switch</b> for the model's inheritance hierarchy.
 It supports the call <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(object)</CODE></A>
 to invoke the <code>caseXXX</code> method for each class of the model,
 starting with the actual class of the object
 and proceeding up the inheritance hierarchy
 until a non-null result is returned,
 which is the result of the switch.
 <!-- end-user-doc -->
<P>
<DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLSchemaPackage.html"><CODE>SQLSchemaPackage</CODE></A></DL>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->


<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#SQLSchemaSwitch()">SQLSchemaSwitch</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an instance of the switch.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#caseDatabase(org.eclipse.wst.rdb.internal.models.sql.schema.Database)">caseDatabase</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/Database.html">Database</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Database</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#caseDependency(org.eclipse.wst.rdb.internal.models.sql.schema.Dependency)">caseDependency</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/Dependency.html">Dependency</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Dependency</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#caseEModelElement(org.eclipse.emf.ecore.EModelElement)">caseEModelElement</A></B>(org.eclipse.emf.ecore.EModelElement&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>EModel Element</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#caseENamedElement(org.eclipse.emf.ecore.ENamedElement)">caseENamedElement</A></B>(org.eclipse.emf.ecore.ENamedElement&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>ENamed Element</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#caseIdentitySpecifier(org.eclipse.wst.rdb.internal.models.sql.schema.IdentitySpecifier)">caseIdentitySpecifier</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html">IdentitySpecifier</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Identity Specifier</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#caseSchema(org.eclipse.wst.rdb.internal.models.sql.schema.Schema)">caseSchema</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/Schema.html">Schema</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Schema</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#caseSequence(org.eclipse.wst.rdb.internal.models.sql.schema.Sequence)">caseSequence</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/Sequence.html">Sequence</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Sequence</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#caseSQLObject(org.eclipse.wst.rdb.internal.models.sql.schema.SQLObject)">caseSQLObject</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html">SQLObject</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>SQL Object</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#caseTypedElement(org.eclipse.wst.rdb.internal.models.sql.schema.TypedElement)">caseTypedElement</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/TypedElement.html">TypedElement</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Typed Element</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#defaultCase(org.eclipse.emf.ecore.EObject)">defaultCase</A></B>(org.eclipse.emf.ecore.EObject&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>EObject</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)">doSwitch</A></B>(org.eclipse.emf.ecore.EObject&nbsp;theEObject)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.Object</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="SQLSchemaSwitch()"><!-- --></A><H3>
SQLSchemaSwitch</H3>
<PRE>
public <B>SQLSchemaSwitch</B>()</PRE>
<DL>
<DD>Creates an instance of the switch.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="doSwitch(org.eclipse.emf.ecore.EObject)"><!-- --></A><H3>
doSwitch</H3>
<PRE>
public java.lang.Object <B>doSwitch</B>(org.eclipse.emf.ecore.EObject&nbsp;theEObject)</PRE>
<DL>
<DD>Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Returns:</B><DD>the first non-null result returned by a <code>caseXXX</code> call.</DL>
</DD>
</DL>
<HR>

<A NAME="caseIdentitySpecifier(org.eclipse.wst.rdb.internal.models.sql.schema.IdentitySpecifier)"><!-- --></A><H3>
caseIdentitySpecifier</H3>
<PRE>
public java.lang.Object <B>caseIdentitySpecifier</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/IdentitySpecifier.html">IdentitySpecifier</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Identity Specifier</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Identity Specifier</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseTypedElement(org.eclipse.wst.rdb.internal.models.sql.schema.TypedElement)"><!-- --></A><H3>
caseTypedElement</H3>
<PRE>
public java.lang.Object <B>caseTypedElement</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/TypedElement.html">TypedElement</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Typed Element</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Typed Element</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseDependency(org.eclipse.wst.rdb.internal.models.sql.schema.Dependency)"><!-- --></A><H3>
caseDependency</H3>
<PRE>
public java.lang.Object <B>caseDependency</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/Dependency.html">Dependency</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Dependency</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Dependency</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseSchema(org.eclipse.wst.rdb.internal.models.sql.schema.Schema)"><!-- --></A><H3>
caseSchema</H3>
<PRE>
public java.lang.Object <B>caseSchema</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/Schema.html">Schema</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Schema</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Schema</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseSQLObject(org.eclipse.wst.rdb.internal.models.sql.schema.SQLObject)"><!-- --></A><H3>
caseSQLObject</H3>
<PRE>
public java.lang.Object <B>caseSQLObject</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html">SQLObject</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>SQL Object</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>SQL Object</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseSequence(org.eclipse.wst.rdb.internal.models.sql.schema.Sequence)"><!-- --></A><H3>
caseSequence</H3>
<PRE>
public java.lang.Object <B>caseSequence</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/Sequence.html">Sequence</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Sequence</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Sequence</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseDatabase(org.eclipse.wst.rdb.internal.models.sql.schema.Database)"><!-- --></A><H3>
caseDatabase</H3>
<PRE>
public java.lang.Object <B>caseDatabase</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/Database.html">Database</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Database</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Database</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseEModelElement(org.eclipse.emf.ecore.EModelElement)"><!-- --></A><H3>
caseEModelElement</H3>
<PRE>
public java.lang.Object <B>caseEModelElement</B>(org.eclipse.emf.ecore.EModelElement&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>EModel Element</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>EModel Element</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseENamedElement(org.eclipse.emf.ecore.ENamedElement)"><!-- --></A><H3>
caseENamedElement</H3>
<PRE>
public java.lang.Object <B>caseENamedElement</B>(org.eclipse.emf.ecore.ENamedElement&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>ENamed Element</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>ENamed Element</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="defaultCase(org.eclipse.emf.ecore.EObject)"><!-- --></A><H3>
defaultCase</H3>
<PRE>
public java.lang.Object <B>defaultCase</B>(org.eclipse.emf.ecore.EObject&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>EObject</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch, but this is the last case anyway.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>EObject</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(org.eclipse.emf.ecore.EObject)</CODE></A></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SQLSchemaSwitch.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/util/SQLSchemaAdapterFactory.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SQLSchemaSwitch.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
